package com.qmth.ops.api.vo;

import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.query.DeployQuery;
import com.qmth.ops.biz.service.AppService;

import java.util.stream.Collectors;

public class DeployPageVO extends BaseQuery<DeployVO> {

    private static final long serialVersionUID = -6041621112178518570L;

    public DeployPageVO(DeployQuery query, AppService appService) {
        setRecords(query.getRecords().stream().map(deploy -> new DeployVO(deploy, appService))
                .collect(Collectors.toList()));
        setPageNumber(query.getPageNumber());
        setPageSize(query.getPageSize());
        setTotal(query.getTotal());
        setCurrent(query.getCurrent());
        setPages(query.getPages());
        setSize(query.getSize());
    }

}
